
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详解基于朴素贝叶斯的情感分析及 Python 实现 / iVAN</title>

    <meta name="description" content="详解基于朴素贝叶斯的情感分析及 Python 实现 相对于「 基于词典的分析 」,「 基于机器学习 」的就不需要大量标注的词典,但是需要大量标记的数据,比如: 还是下面这句话,如果它的标签是: 服务质量 - 中 (共有三个级别,好.中.差) ╮(╯-╰)╭,其是机器学习,通过大量已经标签的数据训练出一个模型, 然后你在输入一条评论,来判断标签级别 宁馨的点评 国庆活动,用62开头的信用卡可以6.2元买一个印有银联卡标记的冰淇淋, 有香草,巧克力和抹茶三种口味可选,我选的是香草口味,味道很浓郁. 另外任意消费都可以10元买两个马卡龙,个头虽不是很大">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">详解基于朴素贝叶斯的情感分析及 Python 实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>相对于「 基于词典的分析 」，「 基于机器学习 」的就不需要大量标注的词典，但是需要大量标记的数据，比如：</p>
<p>还是下面这句话，如果它的标签是：</p>
<p>服务质量 - 中 （共有三个级别，好、中、差）</p>
<p>╮(╯-╰)╭，其是机器学习，通过大量已经标签的数据训练出一个模型，</p>
<p>然后你在输入一条评论，来判断标签级别</p>
<blockquote><p>宁馨的点评 国庆活动，用62开头的信用卡可以6.2元买一个印有银联卡标记的冰淇淋，</p>
<p>有香草，巧克力和抹茶三种口味可选，我选的是香草口味，味道很浓郁。</p>
<p>另外任意消费都可以10元买两个马卡龙，个头虽不是很大，但很好吃，不是很甜的那种，不会觉得腻。</p>
<p>标签：服务质量 - 中</p></blockquote>
<h2>  朴素贝叶斯</h2>
<h3>1、贝叶斯定理</h3>
<p>假设对于某个数据集，随机变量C表示样本为C类的概率，F1表示测试样本某特征出现的概率，套用基本贝叶斯公式，则如下所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTcwNy81OTY0M2I3YTlhZTM0LnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>上式表示对于某个样本，特征F1出现时，该样本被分为C类的条件概率。那么如何用上式来对测试样本分类呢？</p>
<p>举例来说，有个测试样本，其特征F1出现了（F1=1），那么就计算P(C=0|F1=1)和P(C=1|F1=1)的概率值。前者大，则该样本被认为是0类；后者大，则分为1类。</p>
<p>对该公示，有几个概念需要熟知：</p>
<p><strong>先验概率（Prior）</strong>。P(C)是C的先验概率，可以从已有的训练集中计算分为C类的样本占所有样本的比重得出。</p>
<p><strong>证据（Evidence）。</strong>即上式P(F1)，表示对于某测试样本，特征F1出现的概率。同样可以从训练集中F1特征对应样本所占总样本的比例得出。</p>
<p><strong>似然（likelihood）。</strong>即上式P(F1|C)，表示如果知道一个样本分为C类，那么他的特征为F1的概率是多少。</p>
<p>对于多个特征而言，贝叶斯公式可以扩展如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTcwNy81OTY0M2JiYWIyNDBkLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>分子中存在一大串似然值。当特征很多的时候，这些似然值的计算是极其痛苦的。现在该怎么办？</p>
<h3>2、朴素的概念</h3>
<p>为了简化计算，朴素贝叶斯算法做了一假设：“<strong>朴素的认为各个特征相互独立</strong>”。这么一来，上式的分子就简化成了：</p>
<p>P(C)P(F1|C)P(F2|C)...P(Fn|C)。</p>
<p>这样简化过后，计算起来就方便多了。</p>
<p>这个假设是认为各个特征之间是独立的，看上去确实是个很不科学的假设。因为很多情况下，各个特征之间是紧密联系的。然而在朴素贝叶斯的大量应用实践实际表明其工作的相当好。</p>
<p>其次，由于朴素贝叶斯的工作原理是计算P(C=0|F1...Fn)和P(C=1|F1...Fn)，并取最大值的那个作为其分类。而二者的分母是一模一样的。因此，我们又可以<strong>省略分母计算</strong>，从而进一步简化计算过程。</p>
<p>另外，贝叶斯公式推导能够成立有个重要前期，就是各个证据（evidence）不能为0。也即对于任意特征Fx，P(Fx)不能为0。而显示某些特征未出现在测试集中的情况是可以发生的。因此实现上通常要做一些小的处理，例如把所有计数进行+1（<strong>加法平滑</strong> additive smoothing，又叫<strong>拉普拉斯平滑</strong> Laplace smothing）。而如果通过增加一个大于 0 的可调参数 alpha 进行平滑，就叫 <strong>Lidstone 平滑</strong>。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTcwNy81OTY0M2MyYjI0MGZiLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<h2>  基于朴素贝叶斯的情感分类</h2>
<p>原始数据集，只抽了10条</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTcwNy81OTY0M2M0YzU1MDU5LnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<h3>读数据</h3>
<p>读取excel文件，用的pandas库的DataFrame的数据类型</p>
<h3>分词</h3>
<p>对每个评论分词，分词的同时<strong>去除停用词</strong>，得到如下词表</p>
<p>每个列表是与评论一一对应的</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTcwNy81OTY0M2M4ODcyMjM0LnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<h3>统计</h3>
<p>这里统计什么呢？统计两种数据</p>
<p>1. 评论级别的次数</p>
<blockquote><p>这里有三个级别分别对应</p>
<p>c0 → 好 2</p>
<p>c1 → 中 3</p>
<p>c2 → 差 5</p></blockquote>
<p>2. 每个词在句子中出现的次数</p>
<blockquote><p>得到一个字典数据</p>
<p>evalation [2, 5, 3]</p>
<p>半价 [0, 5, 0]</p>
<p>划算 [1, 1, 0]</p>
<p>不错 [0, 2, 0]</p>
<p>·········</p>
<p>不满 [0, 1, 0]</p>
<p>重要 [0, 1, 0]</p>
<p>清楚 [0, 1, 0]</p>
<p>具体 [0, 1, 0]</p>
<p>每个词(特征)后的 list坐标位：0，1，2分别对应好，中，差</p></blockquote>
<p>以上工作完成之后，就是把模型训练好了，只不过数据越多越准确</p>
<h3>测试</h3>
<p>比如输入一个句子</p>
<blockquote><p>世纪联华(百联西郊购物中心店)的点评 一个号称国际大都市，收银处的人服务态度差到极点。银联活动30-10，还不可以连单。</p></blockquote>
<p>得到结果</p>
<blockquote><p>c2-差</p></blockquote>
<p>相关代码的 GitHub 地址：</p>
<p><a href="http://t.cn/RKfemBM" rel="external nofollow noreferrer">http://t.cn/RKfemBM</a></p>
<p>====================================分割线================================</p>
<p>本文作者：AI研习社</p>
<p>本文转自雷锋网禁止二次转载，<a href="https://www.leiphone.com/news/201707/VyUNGYnEy3kXnkVb.html" rel="external nofollow noreferrer">原文链接</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 13:14:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/python/" title="python">python</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>详解基于朴素贝叶斯的情感分析及 Python 实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlLYYM.html" rel="bookmark">基于朴素贝叶斯的定位算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 定位背景介绍       一说到定位大家都会想到gps,然而gps定位有首次定位缓慢(具体可以参考之前的博文&lt;LBS定位技术&gt;).室内不能使用.耗电等缺陷,这些缺陷大大限制了gps的使用.在大多数移动互联网应用例如google地图.百度地图等,往往基于wifi.基站来进行定位.        一般APP在请求定位的时候会上报探测到的wifi信号.基站信号.以wifi为例,手机会探测到周围各个wifi(mac地址)对应的信号强度(RSSI),即收集到信号向量(&lt;WF1, RSSI1&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5yJRz.html" rel="bookmark">程序-基于朴素贝叶斯算法的java软件实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 基于朴素贝叶斯算法的java软件实现 做一个exe的能够实现朴素贝叶斯算法的软件,求源程序,需要用到那些包可以标注下 解决方案 http://download.csdn.net/detail/walking56849/6972831http://blog.csdn.net/xceman1997/article/details/7955349			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWdoJAp.html" rel="bookmark">统计学习方法笔记 -- 朴素贝叶斯</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				贝叶斯定理(Bayes theorem) 这是关于&quot;逆概&quot;或&quot;后验概率&quot;的定理,之所以需要这个定理是因为后验概率是以&quot;果&quot;来推导&quot;因&quot;,所以往往难以直接统计出.  但是后验概率却非常重要,因为在现实生活中,往往都只能观测到一些表面的&quot;果&quot;,需要去推断&quot;因&quot;.  而bayes定理就给出一种计算后验概率的方法. 以例子来说明,一个班级中n个学生,有男生也有女生  两个features,短发;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJA9W4p.html" rel="bookmark">机器学习算法实践：朴素贝叶斯 &lpar;Naive Bayes&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 上一篇&lt;机器学习算法实践:决策树 (Decision Tree)&gt;总结了决策树的实现,本文中我将一步步实现一个朴素贝叶斯分类器,并采用SMS垃圾短信语料库中的数据进行模型训练,对垃圾短信进行过滤,在最后对分类的错误率进行了计算. 正文 与决策树分类和k近邻分类算法不同,贝叶斯分类主要借助概率论的知识来通过比较提供的数据属于每个类型的条件概率, 将他们分别计算出来然后预测具有最大条件概率的那个类别是最后的类别.当然样本越多我们统计的不同类型的特征值分布就越准确,使用此分布进行预测则会更加准			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZemdb.html" rel="bookmark">用朴素贝叶斯模型预测柯南中被害人和凶手！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个研究是我在一门课上的期末作业,旨在用一些广泛流传的&lt;柯南&gt;&quot;规律&quot;(比如毛利小五郎指出的凶手大多是好人)预测凶手和被害人,并定量地探索作者--青山刚昌--在创作角色时的一些&quot;隐藏信念&quot;(hidden belief).分析漫画的研究我并没有见过,不过还是有不少研究使用数学建模方法识别文学作品的作者 (Madigan, Genkin, Lewis, Argamon, Fradkin, &amp; Ye, 2005; Zhao &amp; Zobel, 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQdeZz.html" rel="bookmark">《大数据架构和算法实现之路：电商系统的技术实战》&mdash;&mdash;1&period;3　算法：朴素贝叶斯和K最近邻</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 算法:朴素贝叶斯和K最近邻 1.3.1 朴素贝叶斯 朴素贝叶斯(Naive Bayes)分类是一种实用性很高的分类方法,在理解它之前,我们先来复习一下贝叶斯理论.贝叶斯决策理论是主观贝叶斯派归纳理论的重要组成部分.贝叶斯决策就是在信息不完整的情况下,对部分未知的状态用主观概率进行估计,然后用贝叶斯公式对发生概率进行修正,最后再利用期望值和修正概率做出最优决策.其基本思想具体如下. 1)已知类条件概率密度参数表达式和先验概率. 2)利用贝叶斯公式转换成后验概率. 3)根据后验概率大小进行决			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxqB5b.html" rel="bookmark">朴素贝叶斯从放弃到入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理论基础 联合概率 联合概率表示两个事件共同发生的概率.A与B的联合概率表示为$P(AB)$,$P(A,B)$或者$P(A \bigcap B)$. 联合概率可以推广到任意又穷多个事件出现的情况,设($A_1,A_2,\cdots,A_n$)为任意n个事件($n\ge2$),事件$A_1,A_2,\cdots,A_n$共同发生的概率记为$P(A_1A_2 \dots A_n)$,$P(A_1,A_2,\dots,A_n)$或者$P(A_1 \bigcap A_2 \bigcap \dots \b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRALVz.html" rel="bookmark">朴素贝叶斯法（对于连续和离散属性的处理）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址 朴素贝叶斯法是基于贝叶斯定理与特征条件独立假设的分类方法.简单来说,朴素贝叶斯分类器假设样本每个特征与其他特征都不相关.举个例子,如果一种水果具有红,圆,直径大概4英寸等特征,该水果可以被判定为是苹果.尽管这些特征相互依赖或者有些特征由其他特征决定,然而朴素贝叶斯分类器认为这些属性在判定该水果是否为苹果的概率分布上独立的.尽管是带着这些朴素思想和过于简单化的假设,但朴素贝叶斯分类器在很多复杂的现实情形中仍能够取得相当好的效果.朴素贝叶斯分类器的一个优势在于只需要根据少量的训练数据估计出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rrxAz.html" rel="bookmark">简单通俗易懂：一个小例子完美解释Naive Bayes（朴素贝叶斯）分类器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更多深度文章,请关注:https://yq.aliyun.com/cloud 最简单的解决方案通常是最强大的解决方案,而朴素贝叶斯就是一个很好的证明.尽管机器学习在过去几年取得了巨大的进步,但朴素贝叶斯已被证明不仅简单,而且快速.准确.可靠.它已经成功地用于许多项目中,而且它对自然语言处理(NLP)的问题的解决提供了很大的帮助. 朴素贝叶斯是利用概率论和贝叶斯定理预测样本类别(如新闻或客户评论)的概率算法.它们是概率性的,这意味着它们计算给定样本的每个类别的概率,然后输出概率最高的样本类别.他们			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgEn1z.html" rel="bookmark" class="title">驱动程序-Linux下的虚拟串口类型ttyusb与ttyacm</a>
					<div>
						问题描述 Linux下的虚拟串口类型ttyusb与ttyacm 基于NUC123的usb虚拟串口,在Linux下显示ttyacm,如何使得Linux识别为ttyusb,应该修改NUC123开发板程序设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMleKOp.html" rel="bookmark" class="title">判断一个网站好坏不能从单一的指标去衡量</a>
					<div>
						什么样的网站才是好的网站?什么样的网站才是自己需要借鉴的网站?当我们优化一个网站时,要做的一件很重要的事就是,分析竞争对手的网站,只有了解竞争对手的一个状况,心里才有几分把握超越他们;友情链接也是一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k1xKz.html" rel="bookmark" class="title">一个O&sol;RMapping的简单例子</a>
					<div>
						ORMAPPING出来已经很多年了,之前一直有关注,但一直没有应用到项目中去,众所周知,ORMAPPING 的性能是很大一个问题,虽然它节省代码量,为程序员做了很多工作.而且ORMAPPING主要应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKa3AM.html" rel="bookmark" class="title">linux系统中程序的安装、卸载和升级教程</a>
					<div>
						对于Linux初学者来说,RPM安装是一个不错的选择.如果想真正掌握Linux系统,源代码安装仍然是Linux下软件安装的重要手段.由于linux系统中应用软件的安装和大家熟悉的windows下面的软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdADwM.html" rel="bookmark" class="title">WIN7系统下怎样实现一键切换电源管理</a>
					<div>
						现如今笔记本专用win7系统是大家比较常用的一款操作系统.大家在电脑上使用该系统时,经常会使用到系统的电源管理.在每次切换电源管理间的功能时,总是需要多步操作才可完成.那么有没有可以快速切换电源管理功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwBVVb.html" rel="bookmark" class="title">webclient-用WebClient类的DownLoadFile方法自动下载文件</a>
					<div>
						问题描述 用WebClient类的DownLoadFile方法自动下载文件 asp.net中如何用WebClient类的DownLoadFile方法自动下载指定文件夹中不同类型文件到本地文件夹中,如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXEmqp.html" rel="bookmark" class="title">oss php sdk&plus;laravel搭建一个简单网站</a>
					<div>
						背景 目前中小型网站最流行的还是采用php搭建自己的web服务器,一个web服务器都会做动静资源分离,静态资源流量小的话,静态文件可以统一放单独目录用域名独立访问,流量稍大的时候,可以直接托管到阿里云 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24jNVp.html" rel="bookmark" class="title">PHP单元测试利器 PHPUNIT深入用法&lpar;二&rpar;第1&sol;2页&lowbar;php技巧</a>
					<div>
						1.markTestSkipped和markTestIncomplete 在phpunit中,有两个有用的方法markTestSkipped和markTestIncomplete.它们能允许你编写的单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q0Z8p.html" rel="bookmark" class="title">perl-请问怎么破？。。。。。</a>
					<div>
						问题描述 请问怎么破?..... #include #include #include #include #include #include #include #include #include us ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgEWob.html" rel="bookmark" class="title">安卓百度地图-百度地图问题   自定义公交线路描绘到百度地图上</a>
					<div>
						问题描述 百度地图问题 自定义公交线路描绘到百度地图上 如何利用多个点,将其描绘到线路上?例如,我的后台能够查询出从起点到终点的所有公交站点,可能不是一条公交线路,只知道这些站点的全名,能否将其描绘到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgkPqb.html" rel="bookmark" class="title">万好万家：股价八天翻倍两股东精准抄底获利2900万</a>
					<div>
						投资者报(实习记者 李真)二季度以来,重组题材股的炒作愈演愈烈,其中万好万家(000576.SZ)的6个一字 涨停格外引人注目.自6月19日复牌以来,该股在短短8个交易日里股价即实现翻倍. 此轮暴涨行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRAO1b.html" rel="bookmark" class="title">Google Chrome 快捷方式</a>
					<div>
						标签页和窗口快捷键 Ctrl+N 打开新窗口. Ctrl+T 打开新标签页. Ctrl+Shift+N 在隐身模式下打开新窗口. 按 Ctrl+O,然后选择文件. 在谷歌浏览器中打开计算机中的文件.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94KK3b.html" rel="bookmark" class="title">OFFICE2003可以下载地址集合&lowbar;常用工具</a>
					<div>
						 http://211.69.22.74/soft/office2003.rar     http://www.tmli.net/soft/office/TML_office2003.iso 还有这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0xNlM.html" rel="bookmark" class="title">QQ圈子智能管理在线人脉轻松结交更多好友</a>
					<div>
						3月21日消息,腾讯QQ近日推出一款&quot;QQ圈子&quot;功能,目前处于体验测试状态.集成圈子功能之后,QQ用户可以实现按照真实生活中的关系自动分圈,并向同一交际圈但仍属陌生人的对象发起 对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7VPJp.html" rel="bookmark" class="title">财付通遭冻结 男子扬言炸毁腾讯大厦被拘留</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 9月10日电 记者游春亮 实习生惠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xk2db.html" rel="bookmark" class="title">佳能600D相机所采用传感器解析</a>
					<div>
						给各位摄影爱好者们来详细的解析分享一下佳能600D相机所采用的传感器. 解析分享: 佳能600D采用1800万像素APS-C CMOS传感器和EXPEED2型图片处理芯片,1.6x镜头转换系数,配备采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn3n8M.html" rel="bookmark" class="title">3月份的团购价格整体上涨</a>
					<div>
						商报济南消息(记者 张恒)以低价打拼市场的团购业正悄悄提价.全国最大的独立团购导航网站团800近日发布的数据显示,与去年年中相比,今年3月份的团购价格整体上涨了18%左右,按摩.足疗.个人护理等养生保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRdNkp.html" rel="bookmark" class="title">&period;NET RazorEngine Razor知识集合 Razor也可以这样玩</a>
					<div>
						mvc Razor除了在视图上解析外,一样可以这样用. 在有些项目需求上或许需要根据模板生产静态页面,那么你一样可以用Razor语法去直接解析你的页面从而把解析的页面生成静态页,首先介绍下RazorE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLYVaM.html" rel="bookmark" class="title">在钓鱼网站订机票汇款3次被骗3000余元</a>
					<div>
						市民郭先生 7日,家住沙坪坝工人村附近的郭先生,在网上订票时被骗3000余元.为了提醒其他订票者,他群发警示短信提醒二三十人,但还是有人上当. 郭先生说,7日,他打算订两张8日武汉的机票,和妻子回老家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JKvJz.html" rel="bookmark" class="title">品牌意识是网站健康发展的必要条件</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 提起品牌意识,相信做网站的朋友们都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX8GQb.html" rel="bookmark" class="title">iOS 8正式版明日更新&comma;新系统多图抢先看</a>
					<div>
						从http://www.aliyun.com/zixun/aggregation/12643.html&quot;&gt;WWDC2014大会iOS8发布到现在已经有一段时间了,在这段时间里苹果也陆陆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLJ4LM.html" rel="bookmark" class="title">宏碁手机发布取消：阿里云自主研发迷案待解</a>
					<div>
						9月17日消息,关于阿里云.宏碁突然取消手机发布会的迷案,随着谷歌和阿里巴巴的表态被逐步揭开.而现在事件的发展方向,正在朝着谷歌和阿里巴巴争辩阿里云操作系统是否为自主研发的方向发展. 谷歌揭开发布会取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWLR3z.html" rel="bookmark" class="title">统计显示上半年中国IPO市场最活跃</a>
					<div>
						本报讯 纽约泛欧交易所集团近期发布的统计资料显示,2010年上半年,全球 IPO市场明显复苏,实现融资1052亿美元,和去年同期相比增长超过五倍.同时,中国再次成为全球IPO最活跃的国家,深圳证交所共 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNBw5p.html" rel="bookmark" class="title">php表单提交问题的解决方法&lowbar;php技巧</a>
					<div>
						在此记录一下,以后不能在同一个地方摔倒了! 数据库为bbs,表为test.三个字段,分别为id,name,sex.id为auto_increment. 连接数据库的php文件conn.php内容为 复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6gdwM.html" rel="bookmark" class="title">使用openssl实现rsa非对称加密算法示例&lowbar;php实例</a>
					<div>
						复制代码 代码如下: &lt;?php/** * 使用openssl实现非对称加密 * @since 2010-07-08 */class Rsa{    /**     * private key  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7ekOp.html" rel="bookmark" class="title">我省13个地市今年4G网络全覆盖</a>
					<div>
						本报讯 记者昨日从江苏移动获悉,我省计划2013年建设2万个4G(TD-LTE)网络站点,覆盖全省13个地市的主要城区,部分发达地市预计将覆盖到县城. 南京作为国内第一批6个TD-LTE规模试验试点城 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvqrjM.html" rel="bookmark" class="title">中国移动最高层变更内幕：接班人猜想结束</a>
					<div>
						6月1日消息,针对中国移动高层变动,知情人士进一步透露了内幕,改任董事长和党组书记的王建宙仍为一把手,接任总经理的李跃为二把手,但李跃终将接掌中国移动掌门人成定局,纠葛了一年的中国移动高层接班人猜想基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Y8Vnp.html" rel="bookmark" class="title">手机浏览器上位大战：争抢HTML5先机 入口变平台</a>
					<div>
						移动时代的HTML5成了一个新起跑点,国内各手机http://www.aliyun.com/zixun/aggregation/35151.html&quot;&gt;浏览器厂商已围绕其展开持续不断的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW840p.html" rel="bookmark" class="title">伦敦奥运开幕式12大感人瞬间</a>
					<div>
						伦敦奥运开幕式12大感人瞬间 文/陈永东 &amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 伦敦奥运会开幕式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOAyYz.html" rel="bookmark" class="title">国内首个新闻评论分析网在广州上线</a>
					<div>
						(记者 熊佳焰 通讯员 宋云燕) 随&quot;网络问政&quot;.&quot;网络监督&quot;兴起,互联网俨然成为承载民意的第一载体.近日,中国第一新闻评论分析网&quot;头文字网&quot ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
